<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/test/muestraHomogeneaTEST.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i/test</a> - muestraHomogeneaTEST.cpp<span style="font-size: 80%;"> (source / <a href="muestraHomogeneaTEST.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">49</td>
            <td class="headerCovTableEntry">49</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">30</td>
            <td class="headerCovTableEntry">30</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;../definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;../Funciones_TPI.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;../ejercicios.h&quot;
<span class="lineNum">       4 </span>            : #include &quot;gtest/gtest.h&quot;
<span class="lineNum">       5 </span>            : #include &lt;iostream&gt;
<span class="lineNum">       6 </span>            : #include &lt;string&gt;
<span class="lineNum">       7 </span>            : 
<span class="lineNum">       8 </span>            : using namespace std;
<a name="9"><span class="lineNum">       9 </span>            : </a>
<span class="lineNum">      10 </span>            : 
<span class="lineNum">      11 </span><span class="lineCov">         35 : TEST(muestraHomogeneaTEST, sinSolucion) {</span>
<span class="lineNum">      12 </span><span class="lineCov">         14 :     vector &lt;hogar&gt; res = {};</span>
<span class="lineNum">      13 </span>            :     eph_h th = {
<span class="lineNum">      14 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      15 </span>            :             {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      16 </span>            :             {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      17 </span>            :             {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      18 </span>            :             {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      19 </span>            :             {200,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      20 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      21 </span>            :             {543,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      22 </span>            :             {2354,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      23 </span>            :             {1,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      24 </span>            :             {800,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      25 </span><span class="lineCov">         14 :     };</span>
<span class="lineNum">      26 </span>            : 
<span class="lineNum">      27 </span>            :     eph_i ti = {{543,  1, 2017, 1, 0, 1, 36, 1,  3, 1, 1}, // 1
<span class="lineNum">      28 </span>            :                 {334,  1, 2017, 1, 0, 1, 36, 1,  3, 1, 1}, // 3
<span class="lineNum">      29 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 2, 1},
<span class="lineNum">      30 </span>            :                 {340,  1, 2017, 1, 0, 1, 36, 1,  3, 300, 1},  // 300
<span class="lineNum">      31 </span>            :                 {340,  3, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">      32 </span>            :                 {1009,  1, 2017, 1, 0, 1, 36, 1,  3, 26, 1}, // 26
<span class="lineNum">      33 </span>            :                 {210,  1, 2017, 1, 0, 1, 36, 1,  3, 25, 1}, // 27
<span class="lineNum">      34 </span>            :                 {210,  2, 2017, 1, 0, 1, 36, 1,  3, 2, 1},
<span class="lineNum">      35 </span>            :                 {1,  1, 2017, 1, 0, 1, 36, 1,  3, 24, 1}, // 24
<span class="lineNum">      36 </span>            :                 {4377,  1, 2017, 1, 0, 1, 36, 1,  3, 35, 1}, // 50
<span class="lineNum">      37 </span>            :                 {4377,  3, 2017, 1, 0, 1, 36, 1,  3, 15, 1},
<span class="lineNum">      38 </span>            :                 {2354,  1, 2017, 1, 0, 1, 36, 1,  3, 20, 1}, // 20
<span class="lineNum">      39 </span>            :                 {800,  2, 2017, 1, 0, 1, 36, 1,  3, 0, 1}, // 0
<span class="lineNum">      40 </span>            :                 {200,  2, 2017, 1, 0, 1, 36, 1,  3, 0, 1}, // 0
<span class="lineNum">      41 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 0,  1}, // 0
<span class="lineNum">      42 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">      43 </span><span class="lineCov">         14 :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 0,  1}};</span>
<span class="lineNum">      44 </span><span class="lineCov">          7 :     EXPECT_EQ(res,muestraHomogenea(th,ti));</span>
<span class="lineNum">      45 </span><span class="lineCov">          7 : }</span>
<a name="46"><span class="lineNum">      46 </span>            : </a>
<span class="lineNum">      47 </span>            : 
<span class="lineNum">      48 </span><span class="lineCov">         35 : TEST(muestraHomogeneaTEST, variasDe3UnaLarga) {</span>
<span class="lineNum">      49 </span>            :     vector &lt;hogar&gt; res = {{543,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      50 </span>            :                           {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      51 </span>            :                           {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      52 </span>            :                           {1,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      53 </span>            :                           {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      54 </span>            :                           {800,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      55 </span>            :                           {200,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      56 </span>            :                           {760,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      57 </span>            :                           {660,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      58 </span>            :                           {460,  2017, 1, 1, 1, 0, 1, 4, 1, 2}
<span class="lineNum">      59 </span><span class="lineCov">         14 :     };</span>
<span class="lineNum">      60 </span>            :     eph_h th = {
<span class="lineNum">      61 </span>            :             {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      62 </span>            :             {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      63 </span>            :             {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      64 </span>            :             {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      65 </span>            :             {200,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      66 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      67 </span>            :             {543,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      68 </span>            :             {2354,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      69 </span>            :             {1,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      70 </span>            :             {800,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      71 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      72 </span>            :             {760,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      73 </span>            :             {660,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      74 </span>            :             {560,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      75 </span>            :             {460,  2017, 1, 1, 1, 0, 1, 4, 1, 2}
<span class="lineNum">      76 </span><span class="lineCov">         14 :     };</span>
<span class="lineNum">      77 </span>            : 
<span class="lineNum">      78 </span>            : 
<span class="lineNum">      79 </span>            :     eph_i ti = {{543,  1, 2017, 1, 0, 1, 36, 1,  3, 1, 1}, // 1
<span class="lineNum">      80 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 2, 1}, // 2
<span class="lineNum">      81 </span>            :                 {340,  1, 2017, 1, 0, 1, 36, 1,  3, 3, 1}, // 3
<span class="lineNum">      82 </span>            :                 {340,  3, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">      83 </span>            :                 {1009,  1, 2017, 1, 0, 1, 36, 1,  3, 5, 1}, // 5
<span class="lineNum">      84 </span>            :                 {210,  1, 2017, 1, 0, 1, 36, 1,  3, 6, 1}, // 6
<span class="lineNum">      85 </span>            :                 {210,  2, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">      86 </span>            :                 {1,  1, 2017, 1, 0, 1, 36, 1,  3, 7, 1}, // 7
<span class="lineNum">      87 </span>            :                 {4377,  1, 2017, 1, 0, 1, 36, 1,  3, 9, 1}, // 9
<span class="lineNum">      88 </span>            :                 {4377,  3, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">      89 </span>            :                 {2354,  1, 2017, 1, 0, 1, 36, 1,  3, 10, 1}, // 10
<span class="lineNum">      90 </span>            :                 {800,  2, 2017, 1, 0, 1, 36, 1,  3, 11, 1}, // 11
<span class="lineNum">      91 </span>            :                 {200,  2, 2017, 1, 0, 1, 36, 1,  3, 13, 1},
<span class="lineNum">      92 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 14,  1},
<span class="lineNum">      93 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">      94 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">      95 </span>            :                 {760,  1, 2017, 1, 1, 2, 51, 1,  4, 15,  1},
<span class="lineNum">      96 </span>            :                 {660,  1, 2017, 1, 1, 2, 51, 1,  4, 17,  1},
<span class="lineNum">      97 </span>            :                 {560,  1, 2017, 1, 1, 2, 51, 1,  4, 18,  1},
<span class="lineNum">      98 </span><span class="lineCov">         14 :                 {460,  1, 2017, 1, 1, 2, 51, 1,  4, 19,  1}};</span>
<span class="lineNum">      99 </span><span class="lineCov">          7 :     EXPECT_EQ(res,muestraHomogenea(th,ti));</span>
<span class="lineNum">     100 </span><span class="lineCov">          7 : }</span>
<a name="101"><span class="lineNum">     101 </span>            : </a>
<span class="lineNum">     102 </span>            : 
<span class="lineNum">     103 </span><span class="lineCov">         35 : TEST(muestraHomogeneaTEST, dosSolucionesDe3) {</span>
<span class="lineNum">     104 </span>            :     vector &lt;hogar&gt; res1 = {{ 1, 2017, 1, 1, 2, 0, 1, 3, 1, 2 },
<span class="lineNum">     105 </span>            :                            { 210, 2017, 1, 1, 2, 0, 1, 3, 1, 2 },
<span class="lineNum">     106 </span><span class="lineCov">         14 :                            { 340, 2017, 1, 1, 1, 0, 1, 4, 1, 2 }};</span>
<span class="lineNum">     107 </span>            : 
<span class="lineNum">     108 </span>            :     vector &lt;hogar&gt; res2 = {{ 1, 2017, 1, 1, 2, 0, 1, 3, 1, 2 },
<span class="lineNum">     109 </span>            :                            { 210, 2017, 1, 1, 2, 0, 1, 3, 1, 2 },
<span class="lineNum">     110 </span><span class="lineCov">         14 :                            {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">     111 </span>            : 
<span class="lineNum">     112 </span>            :     eph_h th = {
<span class="lineNum">     113 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     114 </span>            :             {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     115 </span>            :             {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     116 </span>            :             {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     117 </span>            :             {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     118 </span>            :             {200,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     119 </span>            :             {334,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     120 </span>            :             {543,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     121 </span>            :             {2354,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     122 </span>            :             {1,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     123 </span>            :             {800,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     124 </span><span class="lineCov">         14 :     };</span>
<span class="lineNum">     125 </span>            : 
<span class="lineNum">     126 </span>            :     eph_i ti = {{543,  1, 2017, 1, 0, 1, 36, 1,  3, 1, 1}, // 1
<span class="lineNum">     127 </span>            :                 {334,  1, 2017, 1, 0, 1, 36, 1,  3, 1, 1}, // 3
<span class="lineNum">     128 </span>            :                 {334,  2, 2017, 1, 0, 1, 36, 1,  3, 2, 1},
<span class="lineNum">     129 </span>            :                 {340,  1, 2017, 1, 0, 1, 36, 1,  3, 30, 1},  // 30
<span class="lineNum">     130 </span>            :                 {340,  3, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     131 </span>            :                 {1009,  1, 2017, 1, 0, 1, 36, 1,  3, 26, 1}, // 26
<span class="lineNum">     132 </span>            :                 {210,  1, 2017, 1, 0, 1, 36, 1,  3, 25, 1}, // 27
<span class="lineNum">     133 </span>            :                 {210,  2, 2017, 1, 0, 1, 36, 1,  3, 2, 1},
<span class="lineNum">     134 </span>            :                 {1,  1, 2017, 1, 0, 1, 36, 1,  3, 24, 1}, // 24
<span class="lineNum">     135 </span>            :                 {4377,  1, 2017, 1, 0, 1, 36, 1,  3, 15, 1}, // 30
<span class="lineNum">     136 </span>            :                 {4377,  3, 2017, 1, 0, 1, 36, 1,  3, 15, 1},
<span class="lineNum">     137 </span>            :                 {2354,  1, 2017, 1, 0, 1, 36, 1,  3, 20, 1}, // 20
<span class="lineNum">     138 </span>            :                 {800,  2, 2017, 1, 0, 1, 36, 1,  3, 0, 1}, // 0
<span class="lineNum">     139 </span>            :                 {200,  2, 2017, 1, 0, 1, 36, 1,  3, 0, 1}, // 0
<span class="lineNum">     140 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 0,  1}, // 0
<span class="lineNum">     141 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">     142 </span><span class="lineCov">         14 :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 0,  1}};</span>
<span class="lineNum">     143 </span><span class="lineCov">         14 :     vector &lt;hogar&gt; propuesto = muestraHomogenea(th,ti);</span>
<span class="lineNum">     144 </span><span class="lineCov">          7 :     bool esperado = res1 == propuesto || res2 == propuesto;</span>
<span class="lineNum">     145 </span><span class="lineCov">          7 :     EXPECT_EQ(true,esperado);</span>
<a name="146"><span class="lineNum">     146 </span><span class="lineCov">          7 : }</span></a>
<span class="lineNum">     147 </span>            : 
<span class="lineNum">     148 </span><span class="lineCov">         35 : TEST(muestraHomogeneaTEST, sinSueldoReportados) {</span>
<span class="lineNum">     149 </span><span class="lineCov">         14 :     vector &lt;hogar&gt; res = {};</span>
<span class="lineNum">     150 </span>            : 
<span class="lineNum">     151 </span>            :     eph_h th = {
<span class="lineNum">     152 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     153 </span>            :             {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     154 </span>            :             {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     155 </span>            :             {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     156 </span>            :             {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     157 </span><span class="lineCov">         14 :     };</span>
<span class="lineNum">     158 </span>            : 
<span class="lineNum">     159 </span>            :     eph_i ti = {{340,  1, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">     160 </span>            :                 {340,  3, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">     161 </span>            :                 {1009,  1, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">     162 </span>            :                 {210,  1, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">     163 </span>            :                 {210,  2, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">     164 </span>            :                 {4377,  1, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">     165 </span>            :                 {4377,  3, 2017, 1, 0, 1, 36, 1,  3, -1, 1},
<span class="lineNum">     166 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, -1,  1},
<span class="lineNum">     167 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, -1,  1},
<span class="lineNum">     168 </span><span class="lineCov">         14 :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, -1,  1}};</span>
<span class="lineNum">     169 </span><span class="lineCov">          7 :     assert(esEncuestaValida(th,ti));</span>
<span class="lineNum">     170 </span><span class="lineCov">          7 :     EXPECT_EQ(res,muestraHomogenea(th,ti));</span>
<span class="lineNum">     171 </span><span class="lineCov">          7 : }</span>
<a name="172"><span class="lineNum">     172 </span>            : </a>
<span class="lineNum">     173 </span>            : //Nuevos test
<span class="lineNum">     174 </span><span class="lineCov">         35 : TEST(muestraHomogeneaTEST, todosConSueldoCero) {</span>
<span class="lineNum">     175 </span><span class="lineCov">         14 : vector &lt;hogar&gt; res = {};</span>
<span class="lineNum">     176 </span>            : 
<span class="lineNum">     177 </span>            : eph_h th = {
<span class="lineNum">     178 </span>            :         {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     179 </span>            :         {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     180 </span>            :         {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     181 </span>            :         {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     182 </span>            :         {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     183 </span><span class="lineCov">         14 : };</span>
<span class="lineNum">     184 </span>            : 
<span class="lineNum">     185 </span>            : eph_i ti = {{340,  1, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     186 </span>            :             {340,  3, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     187 </span>            :             {1009,  1, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     188 </span>            :             {210,  1, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     189 </span>            :             {210,  2, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     190 </span>            :             {4377,  1, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     191 </span>            :             {4377,  3, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     192 </span>            :             {960,  3, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">     193 </span>            :             {960,  2, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">     194 </span><span class="lineCov">         14 :             {960,  1, 2017, 1, 1, 2, 51, 1,  4, 0,  1}};</span>
<span class="lineNum">     195 </span><span class="lineCov">          7 : assert(esEncuestaValida(th,ti));</span>
<span class="lineNum">     196 </span><span class="lineCov">          7 : EXPECT_EQ(res,muestraHomogenea(th,ti));</span>
<span class="lineNum">     197 </span><span class="lineCov">          7 : }</span>
<a name="198"><span class="lineNum">     198 </span>            : </a>
<span class="lineNum">     199 </span>            : //Nuevo test
<span class="lineNum">     200 </span><span class="lineCov">         35 : TEST(muestraHomogeneaTEST, todoTHEsMuestraHomogenea) {</span>
<span class="lineNum">     201 </span>            : vector &lt;hogar&gt; res = {{960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     202 </span>            :                       {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     203 </span>            :                       {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     204 </span>            :                       {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     205 </span>            :                       {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     206 </span><span class="lineCov">         14 : };</span>
<span class="lineNum">     207 </span>            : 
<span class="lineNum">     208 </span>            : eph_h th = {
<span class="lineNum">     209 </span>            :         {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     210 </span>            :         {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">     211 </span>            :         {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     212 </span>            :         {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     213 </span>            :         {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     214 </span><span class="lineCov">         14 : };</span>
<span class="lineNum">     215 </span>            : 
<span class="lineNum">     216 </span>            : eph_i ti = {{340,  1, 2017, 1, 0, 1, 36, 1,  3, 3, 1},
<span class="lineNum">     217 </span>            :             {340,  3, 2017, 1, 0, 1, 36, 1,  3, 3, 1},
<span class="lineNum">     218 </span>            :             {1009,  1, 2017, 1, 0, 1, 36, 1,  3, 9, 1},
<span class="lineNum">     219 </span>            :             {210,  1, 2017, 1, 0, 1, 36, 1,  3, 6, 1},
<span class="lineNum">     220 </span>            :             {210,  2, 2017, 1, 0, 1, 36, 1,  3, 6, 1},
<span class="lineNum">     221 </span>            :             {4377,  1, 2017, 1, 0, 1, 36, 1,  3, 7, 1},
<span class="lineNum">     222 </span>            :             {4377,  3, 2017, 1, 0, 1, 36, 1,  3, 8, 1},
<span class="lineNum">     223 </span>            :             {960,  3, 2017, 1, 1, 2, 51, 1,  4, 1,  1},
<span class="lineNum">     224 </span>            :             {960,  2, 2017, 1, 1, 2, 51, 1,  4, 1,  1},
<span class="lineNum">     225 </span><span class="lineCov">         14 :             {960,  1, 2017, 1, 1, 2, 51, 1,  4, 1,  1}};</span>
<span class="lineNum">     226 </span><span class="lineCov">          7 : assert(esEncuestaValida(th,ti));</span>
<span class="lineNum">     227 </span><span class="lineCov">          7 : EXPECT_EQ(res,muestraHomogenea(th,ti));</span>
<span class="lineNum">     228 </span><span class="lineCov">          7 : }</span>
<a name="229"><span class="lineNum">     229 </span>            : </a>
<span class="lineNum">     230 </span>            : //Nuevo test FALLA 
<span class="lineNum">     231 </span><span class="lineCov">         35 : TEST(muestraHomogeneaTEST, testDosSecuenciasConMismaDif) {</span>
<span class="lineNum">     232 </span>            :     vector &lt;hogar&gt; res = {{210,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     233 </span>            :             {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     234 </span>            :             {2354,  2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">     235 </span><span class="lineCov">         14 :             {800,  2017, 1, 1, 2, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">     236 </span>            :             
<span class="lineNum">     237 </span>            :     eph_h th = {
<span class="lineNum">     238 </span>            :             {960,  2017, 1, 1, 1, 0, 1, 4, 1, 2}, //1
<span class="lineNum">     239 </span>            :             {340,  2017, 1, 1, 1, 0, 1, 4, 1, 2}, //3
<span class="lineNum">     240 </span>            :             {1009,  2017, 1, 1, 2, 0, 1, 3, 1, 2}, //5
<span class="lineNum">     241 </span>            :             {210,  2017, 1, 1, 2, 0, 1, 3, 1, 2}, //8
<span class="lineNum">     242 </span>            :             {4377,  2017, 1, 1, 2, 0, 1, 3, 1, 2}, //10
<span class="lineNum">     243 </span>            :             {2354,  2017, 1, 1, 2, 0, 1, 3, 1, 2}, //12
<span class="lineNum">     244 </span><span class="lineCov">         14 :             {800,  2017, 1, 1, 2, 0, 1, 3, 1, 2}}; //14</span>
<span class="lineNum">     245 </span>            : 
<span class="lineNum">     246 </span>            :     eph_i ti = {{340,  1, 2017, 1, 0, 1, 36, 1,  3, 3, 1},
<span class="lineNum">     247 </span>            :                 {340,  3, 2017, 1, 0, 1, 36, 1,  3, 0, 1},
<span class="lineNum">     248 </span>            :                 {1009,  1, 2017, 1, 0, 1, 36, 1,  3, 5, 1},
<span class="lineNum">     249 </span>            :                 {210,  1, 2017, 1, 0, 1, 36, 1,  3, 4, 1}, //8
<span class="lineNum">     250 </span>            :                 {210,  2, 2017, 1, 0, 1, 36, 1,  3, 4, 1},
<span class="lineNum">     251 </span>            :                 {4377,  1, 2017, 1, 0, 1, 36, 1,  3, 5, 1}, //10
<span class="lineNum">     252 </span>            :                 {4377,  3, 2017, 1, 0, 1, 36, 1,  3, 5, 1},
<span class="lineNum">     253 </span>            :                 {960,  3, 2017, 1, 1, 2, 51, 1,  4, 1,  1},
<span class="lineNum">     254 </span>            :                 {960,  2, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">     255 </span>            :                 {960,  1, 2017, 1, 1, 2, 51, 1,  4, 0,  1},
<span class="lineNum">     256 </span>            :                 {2354,  1, 2017, 1, 0, 1, 36, 1,  3, 12, 1}, // 12
<span class="lineNum">     257 </span>            :                 {800,  2, 2017, 1, 0, 1, 36, 1,  3, 14, 1} // 14
<span class="lineNum">     258 </span><span class="lineCov">         14 :                 };</span>
<a name="259"><span class="lineNum">     259 </span><span class="lineCov">          7 :     assert(esEncuestaValida(th,ti));</span></a>
<span class="lineNum">     260 </span><span class="lineCov">          7 :     EXPECT_EQ(res,muestraHomogenea(th,ti));</span>
<span class="lineNum">     261 </span><span class="lineCov">         28 : }</span>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
